Subject: Maildir ordering in git-mailsplit (was: Using mutt as a git maintainer)

From: Ramkumar Ramachandra <[email-masked]>
Date: Sat, 7 Aug 2010 08:13:39 +0530

Hi Richard,

Richard Braun writes:
> I'm currently setting up several git repositories, both for personal stuff
> and at work, and I also am an avid Mutt user. But I have a problem with the
> "braindamaged" git-mailsplit program and how it interacts badly with how
> Mutt does some things.
> 
> The specific case that troubles me is when using git send-email with several
> patches, say around 10, then getting those in my lovely Mutt as one thread,
> with chainreplyto set to false because i'm a nice person who RTFM. Until now
> everything looks perfect. Then I tag the thread and copy it out to a
> temporary mailbox so that I can run git am and do something else with my
> life. Problem: I use Maildir mailboxes, and with several files, mutt doesn't
> preserve the order of the patches. As git-mailsplit uses a raw opendir()
> to access patches in Maildir format, and doesn't try to sort anything after,
> some patch series just won't apply simply.

Ah, it looks like this problem went unnoticed probably because
everyone uses mboxes. One possible solution would be to teach
`git-mailsplit` to order the emails correctly. You can reply with an
RFC patch; I've CC'ed the Git list on this email.

> I'm using git 1.5.6.5 and Mutt 1.5.18 (from Debian lenny), pretty old but
> after checking the most recent source code, it just seems to be the same.

Yeah, I don't think git-mailsplit has changed in some time.

-- Ram